Loading...
Searching...
No Matches
contactdata Struct Reference

The type of data returned. More...

`#include <voms_apic.h>`

## Data Fields

char * | nick
char * | host
char * | contact
char * | vo
int | port
char * | reserved
int | version

## Detailed Description

The type of data returned.

Definition at line 60 of file voms_apic.h.

## Field Documentation

## contact

char* contactdata::contact

The subject of the server's certificate

Definition at line 65 of file voms_apic.h.

## host

char* contactdata::host

The hostname of the server

Definition at line 64 of file voms_apic.h.

## nick

char* contactdata::nick

< You must never allocate directly this structure. Its sizeof() is subject to change without notice. The only supported way to obtain it is via the VOMS_FindBy* functions. The alias of the server

Definition at line 63 of file voms_apic.h.

## port

int contactdata::port

The port on which the server is listening

Definition at line 67 of file voms_apic.h.

## reserved

char* contactdata::reserved

HANDS OFF!

Definition at line 68 of file voms_apic.h.

## version

int contactdata::version

The version of Globus on which this server runs.

Definition at line 69 of file voms_apic.h.

## vo

char* contactdata::vo

The VO served by this server

Definition at line 66 of file voms_apic.h.

The documentation for this struct was generated from the following file:

- voms_apic.h